Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-0687

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-0687
Last Modified 05 Sep 2008 04:47:01
Published 06 Mar 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-0687

Summary

Format string vulnerability in Hashcash 1.16 allows remote attackers to cause a denial of service (memory consumption) and possibly execute arbitrary code via format string specifiers in a reply address, which is not properly handled when printing the header.

Vulnerable Systems

Application

  • Hashcash 1.14

  • Hashcash 1.15

  • Hashcash 1.16


References

GENTOO - GLSA-200503-12

SECUNIA - 14487

MISC - http://bugs.gentoo.org/show_bug.cgi?id=83541


Last Updated: 27 May 2016 10:39:54